Package io.flutter.embedding.engine.systemchannels

# Enum PlatformViewsChannel.PlatformViewCreationRequest.RequestedDisplayMode

java.lang.Object
java.lang.Enum<PlatformViewsChannel.PlatformViewCreationRequest.RequestedDisplayMode>
io.flutter.embedding.engine.systemchannels.PlatformViewsChannel.PlatformViewCreationRequest.RequestedDisplayMode

All Implemented Interfaces:
  `Serializable`, `Comparable<PlatformViewsChannel.PlatformViewCreationRequest.RequestedDisplayMode>`, `java.lang.constant.Constable`

Enclosing class:
  PlatformViewsChannel.PlatformViewCreationRequest

public static enum PlatformViewsChannel.PlatformViewCreationRequest.RequestedDisplayMode extends Enum<PlatformViewsChannel.PlatformViewCreationRequest.RequestedDisplayMode>
Platform view display modes that can be requested at creation time.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `HYBRID_ONLY`
  Use Hybrid Composition in all cases.
  `TEXTURE_WITH_HYBRID_FALLBACK`
  Use Texture Layer if possible, falling back to Hybrid Composition if not.
  `TEXTURE_WITH_VIRTUAL_FALLBACK`
  Use Texture Layer if possible, falling back to Virtual Display if not.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static PlatformViewsChannel.PlatformViewCreationRequest.RequestedDisplayMode`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static PlatformViewsChannel.PlatformViewCreationRequest.RequestedDisplayMode[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### TEXTURE_WITH_VIRTUAL_FALLBACK

    public static final PlatformViewsChannel.PlatformViewCreationRequest.RequestedDisplayMode TEXTURE_WITH_VIRTUAL_FALLBACK
    Use Texture Layer if possible, falling back to Virtual Display if not.

  - ### TEXTURE_WITH_HYBRID_FALLBACK

    public static final PlatformViewsChannel.PlatformViewCreationRequest.RequestedDisplayMode TEXTURE_WITH_HYBRID_FALLBACK
    Use Texture Layer if possible, falling back to Hybrid Composition if not.

  - ### HYBRID_ONLY

    public static final PlatformViewsChannel.PlatformViewCreationRequest.RequestedDisplayMode HYBRID_ONLY
    Use Hybrid Composition in all cases.

- ## Method Details

  - ### values

    public static PlatformViewsChannel.PlatformViewCreationRequest.RequestedDisplayMode[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static PlatformViewsChannel.PlatformViewCreationRequest.RequestedDisplayMode valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null